org.bouncycastle.asn1.cmp

## Class Challenge

- java.lang.Object
- - org.bouncycastle.asn1.ASN1Encodable
  - - org.bouncycastle.asn1.cmp.Challenge

All Implemented Interfaces:
  DEREncodable

    public class Challenge
    extends ASN1Encodable

### Field Summary

### Fields inherited from class org.bouncycastle.asn1.ASN1Encodable

`BER, DER`

### Method Summary

Methods
`static Challenge` `getInstance(java.lang.Object o)`
`AlgorithmIdentifier` `getOwf()`
`DERObject` `toASN1Object()` Challenge ::= SEQUENCE { owf AlgorithmIdentifier OPTIONAL, -- MUST be present in the first Challenge; MAY be omitted in -- any subsequent Challenge in POPODecKeyChallContent (if -- omitted, then the owf used in the immediately preceding -- Challenge is to be used).

### Methods inherited from class org.bouncycastle.asn1.ASN1Encodable

`equals, getDEREncoded, getDERObject, getEncoded, getEncoded, hashCode`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### getInstance

    public static Challenge getInstance(java.lang.Object o)

#### getOwf

    public AlgorithmIdentifier getOwf()

#### toASN1Object

    public DERObject toASN1Object()

     Challenge ::= SEQUENCE {
                     owf                 AlgorithmIdentifier  OPTIONAL,

                     -- MUST be present in the first Challenge; MAY be omitted in
                     -- any subsequent Challenge in POPODecKeyChallContent (if
                     -- omitted, then the owf used in the immediately preceding
                     -- Challenge is to be used).

                     witness             OCTET STRING,
                     -- the result of applying the one-way function (owf) to a
                     -- randomly-generated INTEGER, A.  [Note that a different
                     -- INTEGER MUST be used for each Challenge.]
                     challenge           OCTET STRING
                     -- the encryption (under the public key for which the cert.
                     -- request is being made) of Rand, where Rand is specified as
                     --   Rand ::= SEQUENCE {
                     --      int      INTEGER,
                     --       - the randomly-generated INTEGER A (above)
                     --      sender   GeneralName
                     --       - the sender's name (as included in PKIHeader)
                     --   }
          }

Specified by:
  `toASN1Object` in class `ASN1Encodable`
Returns:
  a basic ASN.1 object representation.